import { jsx as _jsx, jsxs as _jsxs } from "react/jsx-runtime";
import classNames from 'classnames';
import { Link } from '@teambit/base-react.navigation.link';
import { Icon } from '@teambit/evangelist.elements.icon';
import { textSize } from '@teambit/base-ui.text.text-sizes';
import { links } from '@teambit/community.constants.links';
import styles from './empty-component-gallery.module.scss';
function IconLine() {
    return (_jsxs("div", { className: styles.iconLine, children: [_jsx(Link, { external: true, href: links.slack, children: _jsx("img", { alt: "slack-logo", className: styles.logo, src: "https://static.bit.dev/harmony/slack-round-icon.svg" }) }), _jsx(Link, { external: true, href: links.github, children: _jsx("img", { alt: "github-logo", className: styles.logo, src: "https://static.bit.dev/harmony/github.svg" }) }), _jsx(Link, { external: true, href: "https://bit.cloud/support", children: _jsx("img", { alt: "support", className: styles.logo, src: "https://static.bit.dev/harmony/support.svg" }) })] }));
}
/**
 * page to be shown when workspace/scope has no components
 */
export function EmptyComponentGallery({ name, children, title }) {
    // TODO: get the docs domain from the community aspect and pass it here as a prop
    return (_jsxs("div", { className: styles.emptyComponentGallery, children: [_jsxs("div", { className: styles.title, children: [_jsx("span", { children: title }), "\u00A0", _jsx("span", { children: name })] }), _jsx("img", { src: "https://static.bit.dev/harmony/no-components.svg", alt: 'no-components' }), children, _jsxs("div", { className: styles.title, children: [_jsx("span", { children: "New to Bit?" }), " \u00A0", _jsxs(Link, { external: true, href: `${links.docs}/getting-started/composing/creating-components`, className: styles.purpleLink, children: [_jsx("span", { className: styles.text, children: "Start tutorial" }), _jsx(Icon, { of: "right_arrow", className: classNames(styles.icon, textSize.xxs) })] })] }), _jsx("div", { className: styles.bottomText, children: "We're here to help" }), _jsx(IconLine, {})] }));
}
//# sourceMappingURL=empty-component-gallery.js.map